%define upstream_name    Math-Vector-Real-kdTree
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Kd-Tree implementation on top of Math::Vector::Real
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Math::Vector::Real)
BuildRequires: perl(Sort::Key::Top)
BuildArch: noarch

%description
This module implements a kd-Tree data structure in Perl and some related
algorithms.

The following methods are provided:

* $t = Math::Vector::Real::kdTree->new(@points)

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%files
%doc META.yml Changes README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Thu Jun 30 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 116544
- imported package perl-Math-Vector-Real-kdTree


* Thu Jun 30 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
